Loading...
Searching...
No Matches
TimeReport Class Reference
Tools and Utilities » Miscellaneous Tools » Time Measuring and Counting

## Detailed Description

Same as Timer but prints a report on destruction. This example shows its usage.

void myAlg(ListGraph &g,int n)
{
TimeReport tr("Running time of myAlg: ");
... //Here comes the algorithm
}
lemon::ListGraph
A general undirected graph structure.
Definition list_graph.h:1196
lemon::TimeReport::TimeReport
TimeReport(std::string title, std::ostream &os=std::cerr, bool run=true, bool active=true)
Constructor.
Definition time_measure.h:524

See also
  Timer
  NoTimeReport

`#include <lemon/time_measure.h>`

Inheritance diagram for TimeReport:
[legend]

## Public Member Functions

| TimeReport (std::string title, std::ostream &os=std::cerr, bool run=true, bool active=true)
| Constructor.
| ~TimeReport ()
| Destructor that prints the ellapsed time.
bool | active () const
| Retrieve the activity status.
void | active (bool a)
| Set the activity status.
Public Member Functions inherited from Timer
| Timer (bool run=true)
| Constructor.
void | reset ()
| Reset and stop the time counters.
void | start ()
| Start the time counters.
void | stop ()
| Stop the time counters.
void | halt ()
| Halt (i.e stop immediately) the time counters.
int | running ()
| Returns the running state of the timer.
void | restart ()
| Restart the time counters.
double | userTime () const
| Gives back the ellapsed user time of the process.
double | systemTime () const
| Gives back the ellapsed system time of the process.
double | cUserTime () const
| Gives back the ellapsed user time of the process' children.
double | cSystemTime () const
| Gives back the ellapsed user time of the process' children.
double | realTime () const
| Gives back the ellapsed real time.
| operator TimeStamp () const
| Computes the ellapsed time.

## Constructor & Destructor Documentation

## TimeReport()

TimeReport | ( | std::string | title,
|  | std::ostream & | os = std::cerr,
|  | bool | run = true,
|  | bool | active = true )

inline

Constructor.

Parameters

  title | This text will be printed before the ellapsed time.
  os | The stream to print the report to.
  run | Sets whether the timer should start immediately.
  active | Sets whether the report should actually be printed on destruction.

## Member Function Documentation

## active() [1/2]

bool active | ( |  | ) | const

inline

## active() [2/2]

void active | ( | bool | a | ) |

inline

This function set whether the time report should actually be printed on destruction.